package core.notevault.ui.gallery;

import android.util.Log;
import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.ViewModel;
import core.notevault.data.Concert;

import java.util.List;

public class GalleryViewModel extends ViewModel {

    private final MutableLiveData<List<Concert>> concerts;

    public GalleryViewModel() {
       this.concerts = new MutableLiveData<>();
    }


    public LiveData<List<Concert>> getConcerts() {
        return concerts;
    }

    public void setConcerts(List<Concert> concerts) {
        this.concerts.setValue(concerts);
    }

    public void addConcert(Concert concert) {
        List<Concert> currentConcerts = this.concerts.getValue();
        Log.d("GalleryViewModel", "Add Concert");
        if(currentConcerts != null) {
            currentConcerts.add(concert);
            concerts.setValue(currentConcerts);
        }

    }
}