package core.notevault.ui.home;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.widget.ImageView;
import androidx.appcompat.app.AppCompatActivity;
import androidx.viewpager2.widget.ViewPager2;
import core.notevault.R;
import core.notevault.ui.noteviewer.ImagePagerAdapter;

import java.util.Arrays;
import java.util.List;

public class FullScreenImageActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_fullscreen_image); // Erstelle eine Layout-Datei

        ViewPager2 imageView = findViewById(R.id.viewPager); // Angenommen, du hast ein ImageView

        // Die URI aus dem Intent erhalten
        Intent intent = getIntent();
        String[] imageUris = intent.getStringArrayExtra("imageUris");
        if (imageUris != null) {
            List<String> uriList = Arrays.asList(imageUris);
            ImagePagerAdapter adapter = new ImagePagerAdapter(this, uriList);
            imageView.setAdapter(adapter); // Setze die URI in das ImageView
        } else {
            throw new NullPointerException();
        }
    }
}
